LOG4CPP-CONFIG(1)

NAME
log4cpp-config - script to get information about the installed version of log4cpp

SYNOPSIS
log4cpp-config [--prefix[=DIR]] [--exec-prefix[=DIR]] [--version] [--libs] [--cflags] [LIBRARIES]

DESCRIPTION

log4cpp-config is a tool that is used to configure to determine the compiler and linker flags that should be used to compile and link programs that use log4cpp.

OPTIONS
log4cpp-config accepts the following options:

LIBRARIES
    This argument is currently ignored as log4cpp as only one library.

--version
    Print the currently installed version of log4cpp on the standard output.

--libs
    Print the linker flags that are necessary to link a log4cpp program.

--cflags
    Print the compiler flags that are necessary to compile a log4cpp program.

--prefix=PREFIX
    If specified, use PREFIX instead of the installation prefix that log4cpp was built with when computing the output for the --cflags and --libs options. This option is also used for the exec prefix if --exec-prefix was not specified. This option must be specified before any --libs or --cflags options.

--exec-prefix=PREFIX
    If specified, use PREFIX instead of the installation exec prefix that log4cpp was built with when computing the output for the --cflags and --libs options. This option must be specified before any --libs or --cflags options.

AUTHORS
log4cpp was written by Bastiaan Bakker <bastiaan.bakker@lifeline.nl> and Thomas Wabner <waffel@hora-obscura.de>